class CIntArray
{
private:
	int *m_IntArray;
	int m_NumElem;
	int m_NewElemPosit;
public:
	CIntArray();
	CIntArray(int);
	~CIntArray();
	void Reset(int);
	BOOL InsertAt(int, int);
	int GetAt(int);
	int operator[](int);
	void operator=(CIntArray*);
	void AddElem(int);
	int * GetArray(int);
	int GetSize();
};